void setup() {
  size(500, 500);
  background(225,100,5);
  noStroke();
  fill(255,255,200,100);
}

void draw() {
  // Call the variableRect() method and send it the
  // parameters for the current mouse position
  // and the previous mouse position
  variableRect(mouseX, mouseY, pmouseX, pmouseY);
}

// The simple method variableRect() was created specifically 
// for this program. It calculates the speed of the mouse
// and draws a small ellipse if the mouse is moving slowly
// and draws a large ellipse if the mouse is moving quickly 

void variableRect(int x, int y, int px, int py) {
  float speed = abs(x-px) + abs(y-py);
  stroke(speed);
  rect(x, y, speed, speed);
}
